Package ru.bitel.bgbilling.kernel.event.events

# Class ContractWebLoginEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ContractWebLoginEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class ContractWebLoginEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Событие успешного логина абонента в ЛК (как в старом, так и в новом).
Дополнительные параметры извлекаются из `getParams()`.

     event.getParams().get('remoteAddr')

remoteAddr - адрес абонента
requestURI - запрошенный URL
authenticationMode.mode - режим аутентификации (новый ЛК)
authenticationMode.module - модуль аутентификации (новый ЛК)
authenticationMode.moduleId - ID модуля аутентификации (новый ЛК)
authenticationMode.role - customer или unauthCustomer, второе возможно, например, при аутентификации по IP-адресу (новый ЛК)

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContractWebLoginEvent()`
  ``
  `ContractWebLoginEvent(int contactId, ParameterMap params)`
  ``
  `ContractWebLoginEvent(jakarta.servlet.http.HttpServletRequest request, int contactId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ParameterMap`
  `getParams()`
  Возвращает дополнительные параметры.
  remoteAddr - IP адрес абонента (строка)
  `jakarta.servlet.http.HttpServletRequest`
  `getRequest()`
  Данный метод вернет не null только для старого ЛК.
  `void`
  `setParams(ParameterMap params)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractWebLoginEvent

    protected ContractWebLoginEvent()

  - ### ContractWebLoginEvent

    public ContractWebLoginEvent(jakarta.servlet.http.HttpServletRequest request, int contactId)

  - ### ContractWebLoginEvent

    public ContractWebLoginEvent(int contactId, ParameterMap params)

- ## Method Details

  - ### getRequest

    public jakarta.servlet.http.HttpServletRequest getRequest()
    Данный метод вернет не null только для старого ЛК. Рекомендуется использовать метод `getParams()`
    Returns:

  - ### getParams

    public ParameterMap getParams()
    Возвращает дополнительные параметры.
    remoteAddr - IP адрес абонента (строка)
    Returns:

  - ### setParams

    public void setParams(ParameterMap params)